function y  = laprnd(mu, sigma, m, n)
% laprnd generates samples drawn i.i.d. from a Laplace distribution with 
% mean mu and standard deviation sigma. It returns an m by n matrix  
% containing the resulting samples.

u = rand(m, n) - 0.5;
b = sigma / sqrt(2); % Compute the scale parameter
y = mu - b * sign(u) .* log(1 - 2 * abs(u));

end